package com.sw.mes.itemclean.clean.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.sw.mes.itemclean.clean.domain.MaterialBroken;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sw.mes.itemclean.clean.dto.BrokeUpAndDownParamQuery;
import com.sw.mes.itemclean.clean.dto.MaterialBrokenUpAndDownDto;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 破碎 Mapper 接口
 * </p>
 *
 * @author liuzemin
 * @since 2022-11-10
 */
@Repository
public interface MaterialBrokenMapper extends BaseMapper<MaterialBroken> {

    String getSumWeightByBatchNo(String productBatchNo,String deviceNo);

    IPage<MaterialBrokenUpAndDownDto> queryList(IPage<MaterialBrokenUpAndDownDto> iPage, BrokeUpAndDownParamQuery query);
}
