package com.sw.mes.sap.dao;

import com.sw.mes.core.annotation.Jinko;
import com.sw.mes.core.base.BaseDao;
import com.sw.mes.sap.entity.ReportSapGoodsmvt;
import org.springframework.data.jpa.repository.Query;


/**
 * MES报工SAP货物移动接口Dao接口
 *
 * @author liru
 * @date 2024-01-06
 */
@Jinko(value="MES报工SAP货物移动接口Service接口",author = "liru")
public interface ReportSapGoodsmvtDao extends BaseDao<ReportSapGoodsmvt, Long>
{

    @Query(value = "SELECT * FROM report_sap_goodsmvt WHERE crystal_no=?1 AND bwart=?2 ORDER BY id DESC LIMIT 1 ", nativeQuery = true)
    ReportSapGoodsmvt findByCrystalNoAndBwart(String crystalNo,String bwart);
}
