package com.sw.mes.sap.dao;

import java.util.List;

import com.sw.mes.core.annotation.Jinko;
import com.sw.mes.core.base.BaseDao;
import com.sw.mes.sap.entity.WarehouseLocation;


/**
 * 晶科库存位置信息Dao接口
 * 
 * @author liru
 * @date 2024-01-02
 */
@Jinko(value="晶科库存位置信息Service接口",author = "liru")
public interface WarehouseLocationDao extends BaseDao<WarehouseLocation, Long>
{

    List<WarehouseLocation> findByWerksAndLgort(String werks, String lgort);
}
