package com.sw.mes.sap.service;

import com.sw.mes.core.annotation.Jinko;
import com.sw.mes.core.base.BaseService;
import com.sw.mes.sap.entity.ReportSapGoodsmvt;

import java.math.BigDecimal;

/**
 * MES报工SAP货物移动接口Service接口
 *
 * @author liru
 * @date 2024-01-06
 */
@Jinko(value="MES报工SAP货物移动接口Service接口",author = "liru")
public interface ReportSapGoodsmvtService extends BaseService<ReportSapGoodsmvt>
{

    void sendReportWord(Long[] id);

    /**
     * 物料编码和移动类型获取MES报工
     * @param crystalNo
     * @param bwart
     * @return
     */
    ReportSapGoodsmvt findByCrystalNoAndBwart(String crystalNo,String bwart);
}
