package com.sw.mes.sap.service;



import com.alibaba.fastjson.JSONObject;
import com.sw.mes.core.annotation.Jinko;
import com.sw.mes.sap.dto.jip.JipOrderStateResult;
import com.sw.mes.sap.dto.jip.JipProductionOrderResult;

import java.util.List;

/**
 * 晶科SAP下发数据操作Service接口
 * 
 * @author liru
 * @date 2023-12-29
 */
@Jinko(value="晶科SAP下发数据操作Service接口",author = "liru")
public interface SAPInputServiceService
{
    void handlerProductonOrderData(JSONObject data, List<JipProductionOrderResult> results) throws RuntimeException;

    void handlerOrderState(Object data, JipOrderStateResult result);
}
