package com.sw.mes.wms.dto;

import com.fasterxml.jackson.annotation.JsonProperty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 成品返工车间MES接收状态回传接口 参数对象 /
 * 返工箱号车间接收/拒收状态信息接口 参数对象 
 * 
 * @author liru
 *
 */
@Data
public class RemesstaDto {
	@ApiModelProperty(value = "组织      默认：JINKO" )
	@JsonProperty("ORGANIZATIONID")
	private String organizationid = "JINKO";
	
	@ApiModelProperty(value = "WMS仓库  WMS仓库ID" )
	@JsonProperty("WAREHOUSEID")
	private String warehouseid;
	
	@ApiModelProperty(value = "公司ID SAP工厂ID" )
	@JsonProperty("CUSTOMERID")
	private String customerid;
	
	@ApiModelProperty(value = "WMS单号 样例:SO202307040001" )
	@JsonProperty("DOCNO")
	private String docno;
	
	@ApiModelProperty(value = "返工订单号" )
	@JsonProperty("AUFN")
	private String aufn;
	
	@ApiModelProperty(value = "箱号" )
	@JsonProperty("TRACEID")
	private String traceid;
	
	@ApiModelProperty(value = "结果  （ S：接收  C：取消） " )
	@JsonProperty("BILLRESULT")
	private String billresult;
	
	@ApiModelProperty(value = "备注" )
	@JsonProperty("NOTES")
	private String notes;
}
