package com.sw.mes.wms.service.impl;

import java.util.List;
import com.sw.mes.core.annotation.Jinko;
import com.sw.mes.core.utils.DateUtil;
import com.sw.mes.core.utils.StringUtils;
import lombok.extern.slf4j.Slf4j;
import com.sw.mes.core.base.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.sw.mes.wms.dao.LogWmsMesInteractiveDao;
import com.sw.mes.wms.entity.LogWmsMesInteractive;
import com.sw.mes.wms.service.LogWmsMesInteractiveService;

/**
 * 晶科WMS下发数据通信记录Service业务层处理
 *
 * @author liru
 * @date 2024-01-08
 */
@Slf4j
@Service
@Transactional
@Jinko(value="晶科WMS下发数据通信记录Service业务层处理",author = "liru")
public class LogWmsMesInteractiveServiceImpl extends BaseServiceImpl<LogWmsMesInteractive> implements LogWmsMesInteractiveService
{
    private LogWmsMesInteractiveDao dao;

    @Autowired
    public void setDao(LogWmsMesInteractiveDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }

}
