package com.sw.mes.yb.deviceCheck.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author liuzemin
 * @date 2022/6/1 17:02
 * @description
 */
@Data
public class DeviceCheckTimeRecordInfo {

    @ApiModelProperty(value = "拆清开始时间" )
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date dismantleStartTime;
    @ApiModelProperty(value = "拆清结束时间" )
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date dismantleEndTime;

    @ApiModelProperty(value = "停炉时间" )
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date shutdownTime;

    /**
     * 点检按钮可用为1,置灰为0
     */
    Integer button;
}
