package com.sw.mes.yb.plan.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 订单Bom信息对象 plan_production_order_bom
 * 
 * @author liru
 * @date 2023-12-31
 */
@Data
@ApiModel(value = "订单Bom信息Dto")
public class PlanProductionOrderBomDto
{
    /**  */
    @ApiModelProperty(value = "" )
    private Long id;

    /**  */
    @ApiModelProperty(value = "" )
    private String productionOrderId;

    /**  */
    @ApiModelProperty(value = "" )
    private String orderType;

    /**  */
    @ApiModelProperty(value = "" )
    private String compId;

    /**  */
    @ApiModelProperty(value = "" )
    private String compDis;

    /**  */
    @ApiModelProperty(value = "" )
    private String plannedQty2;

    /**  */
    @ApiModelProperty(value = "" )
    private String bomqty;

    /**  */
    @ApiModelProperty(value = "" )
    private String uom2;

    /**  */
    @ApiModelProperty(value = "" )
    private String sortf;

    /**  */
    @ApiModelProperty(value = "" )
    private String productRev;

    /**  */
    @ApiModelProperty(value = "" )
    private String productRor;

    /**  */
    @ApiModelProperty(value = "" )
    private String remark;

    /**  */
    @ApiModelProperty(value = "" )
    private String other1;

    /**  */
    @ApiModelProperty(value = "" )
    private String other2;

    /**  */
    @ApiModelProperty(value = "" )
    private String other3;

    /**  */
    @ApiModelProperty(value = "" )
    private String other4;

    /**  */
    @ApiModelProperty(value = "" )
    private String other5;

    /**  */
    @ApiModelProperty(value = "" )
    private String rsnum;

    /**  */
    @ApiModelProperty(value = "" )
    private String rspos;

    /** 订单表ID */
    @ApiModelProperty(value = "订单表ID" )
    private Long planProductionOrderId;

}
