package	com.sw.mes.yb.production.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.sw.mes.yb.production.entity.ProcessPath;
import com.sw.mes.yb.production.dao.ProcessPathDao;
import com.sw.mes.yb.production.service.ProcessPathService;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class ProcessPathServiceImpl extends BaseServiceImpl<ProcessPath> implements ProcessPathService {
    ProcessPathDao dao;
	@Autowired
    public void setDao(ProcessPathDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }

	@Override
	public List<ProcessPath> findByEquipmentCodeAndLotNoAndStepNameIn(String equipmentCode, String lotNo,
			List<String> steNames) {
		return dao.findByEquipmentCodeAndLotNoAndStepNameIn(equipmentCode,lotNo,steNames);
	}
}
