package com.sw.mes.yb.report.dao;

import com.sw.mes.core.base.BaseDao;
import com.sw.mes.yb.mcs.entity.RecycledMaterialCase;
import com.sw.mes.yb.report.entity.BrokenBractBase;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import java.util.Date;
import java.util.List;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface BrokenBractBaseDao extends BaseDao<BrokenBractBase, Long>{

    @Modifying
    @Query(value = "update rpt_broken_bract_base set repeated_info = ?3 where device_no not null and device_no = ?1 and date_time BETWEEN DATE_SUB(?2,INTERVAL 30 minute) AND DATE_ADD(?2,INTERVAL 30 minute)", nativeQuery = true)
    int updateRepeatedInfo(String deviceNo, String dateTime , String repeatedInfo);
}
