package com.sw.mes.yb.report.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "断苞基础表接口Dto")
public class BrokenBractBaseDto {

    private Long id;
     @ApiModelProperty(value = "日期(格式yyyy-MM-dd hh:mm:ss)" )
     String dateTime;
     @ApiModelProperty(value = "班组" )
     String classGroup;
     @ApiModelProperty(value = "班次" )
     String classNo;
     @ApiModelProperty(value = "系列" )
     String series;
     @ApiModelProperty(value = "炉台号" )
     String deviceNo;
     @ApiModelProperty(value = "炉次号" )
     String lotNo;
     @ApiModelProperty(value = "规格" )
     String specs;
     @ApiModelProperty(value = "运行时长" )
     BigDecimal runTime;
     @ApiModelProperty(value = "断苞类别" )
     String brokenBractType;
     @ApiModelProperty(value = "断苞工序" )
     String brokenBractProcesses;
     @ApiModelProperty(value = "晶体长度" )
     BigDecimal crystalLength;
     @ApiModelProperty(value = "复投情况" )
     String repeatedInfo;
     @ApiModelProperty(value = "引晶功率" )
     BigDecimal crystalPower;
     @ApiModelProperty(value = "引晶时长(h)" )
     BigDecimal crystalTime;
     @ApiModelProperty(value = "投料量" )
     BigDecimal feedingQuantity;
     @ApiModelProperty(value = "长度区间" )
     String crystalLengthArea;
     @ApiModelProperty(value = "等径1000mm液面像素值" )
     BigDecimal liquidLevelPixel;
     @ApiModelProperty(value = "液位光标" )
     BigDecimal liquidCursor;
     @ApiModelProperty(value = "干锅类型" )
     String dryPotType;
     @ApiModelProperty(value = "uap发送给mes报文内容" )
     String toMesDataBody;
}