package com.sw.mes.yb.seed.service.impl;

import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.yb.seed.dao.SeedDataDao;
import com.sw.mes.yb.seed.dto.SeedBatchesDto;
import com.sw.mes.yb.seed.dto.SeedDataDto;
import com.sw.mes.yb.seed.entity.SeedData;
import com.sw.mes.yb.seed.service.SeedService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.ObjectUtils;

/**
 * @Author：wanjia
 * @Date：2024/1/9 17:02
 */
@Service
public class SeedServiceImpl extends BaseServiceImpl<SeedData> implements SeedService {

    private SeedDataDao dao;

    @Autowired
    public void setDao(SeedDataDao dao) {
        this.dao = dao;
        super.setBaseDao(dao);
    }

    @Override
    public SeedData findByCode(String code) {
        return dao.findByCode(code);
    }

    @Override
    public SeedData findByBatchNo(String seedBatchNo) {
        return dao.findByBatchNo(seedBatchNo);
    }

    @Override
    public SeedData findByBatch(String batchNo) {
        return dao.findByBatch(batchNo);
    }
}
