package com.sw.mes.store.enums;

/**
 * @Description 入库单-入库类型
 * @Author wupeng
 * @Date 2023/8/1 19:33
 **/
public enum InputBillTypeEnum {

    原料入库("原料入库"),
    辅料入库("辅料入库"),
    辅料退库("辅料退库"),
    生产退料("生产退料"),
    籽晶粘贴_生产退料("籽晶粘贴_生产退料"),
    坩埚拆装_原料预处理("坩埚拆装_原料预处理"),
    坩埚拆装_长晶("坩埚拆装_长晶"),
    清洗烘干("清洗烘干"),
    NC来料("NC来料"),
    调拨入库("调拨入库"),
    人工导入("人工导入"),
    余料入库("余料入库"),
    清洗硅料退库("清洗硅料退库"),
    籽晶入库("籽晶入库")
            ;

    private String value;

    InputBillTypeEnum(String value) {
        this.value = value;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
