package com.sw.mes.itemclean.clean.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sw.mes.core.response.Result;
import com.sw.mes.itemclean.clean.domain.CleaningProcessFlow;

import java.math.BigDecimal;

/**
 * @Author
 * @Description：
 * @Date:
 * @Modified By:
 */
public interface CleaningProcessFlowService extends IService<CleaningProcessFlow> {

    Result inStation(String workOrder, String masterWorkOrder, BigDecimal weight, BigDecimal unusedWeight, BigDecimal usedWeight, String deviceNo, String wipStorageCode, String flowLineLable, String boxNo, String lastSite, Integer type);

    Result outStation(String workOrder, String masterWorkOrder, BigDecimal weight, BigDecimal unusedWeight, BigDecimal usedWeight, String deviceNo, String wipStorageCode, String flowLineLable, String boxNo, String lastSite, Integer type);

    CleaningProcessFlow getByBoxNo(String boxNo);
}
