package com.sw.mes.fb.checkout.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.*;

import javax.validation.constraints.*;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "损耗记录Dto")
public class LossEntryRecordDto {

    private Long id;
     @ApiModelProperty(value = "托盘编号" )
     String trayNo;
     @ApiModelProperty(value = "单晶编号" )
     String sectionNo;
     @ApiModelProperty(value = "损耗信息" )
     String lossInfo;
     @ApiModelProperty(value = "创建人" )
     String createUser;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createTime;
}