package com.sw.mes.dingTalk.dto;

import com.sw.mes.enumvalue.SeedMassageEnum;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author lf
 * @description 机器人发送消息dto
 * @date 2024/1/25 9:12
 */
@Data
@Getter
@Setter
public class SeedMassageDto {
    /**
     * 发送的消息
     */
    private String content;
    /**
     * 机器人使用场景
     */
    private List<String> scene;
    /**
     * 机器人群名称
     */
    private List<String>groupName;
    /**
     * 发送人群 0群和人都发，1只群发，2，只单发
     */
    private SeedMassageEnum status;
    /**
     * 消息来源
     */
    private String source;
}
