package com.sw.mes.production.service.impl;

import com.sw.mes.production.dto.DecompositionSchemeParam;
import com.sw.mes.production.dto.FormulaSchemeData;
import com.sw.mes.production.service.FormulaSchemeOutService;
import com.sw.mes.production.service.FormulaSchemeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author zhaowenjie
 */
@Service
public class FormulaSchemeOutImplServiceImpl implements FormulaSchemeOutService {

    @Autowired
    private FormulaSchemeService formulaSchemeService;

    @Override
    public FormulaSchemeData decompositionScheme(DecompositionSchemeParam decompositionSchemeParam) {
        return formulaSchemeService.decompositionScheme(decompositionSchemeParam);
    }

//    @Override
//    public FormulaSchemeData decompositionScheme(String schemeCode, String schemeVersion, String weightSchemeCode, List<FormulaSchemeData.LoadingDetail> loadingDetails, BigDecimal weight) {
//        return formulaSchemeService.decompositionScheme(schemeCode, schemeVersion, weightSchemeCode, loadingDetails, weight);
//    }
}
