package com.sw.mes.sap.service.impl;

import java.util.List;
import com.sw.mes.core.annotation.Jinko;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.sw.mes.core.base.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.sw.mes.sap.dao.LogSapMesInteractiveDao;
import com.sw.mes.sap.entity.LogSapMesInteractive;
import com.sw.mes.sap.service.LogSapMesInteractiveService;

/**
 * 晶科SAP下发生产工单通信记录Service业务层处理
 * 
 * @author liru
 * @date 2023-12-29
 */
@Service
@Jinko(value="晶科SAP下发生产工单通信记录Service业务层处理",author = "liru")
public class LogSapMesInteractiveServiceImpl extends BaseServiceImpl<LogSapMesInteractive> implements LogSapMesInteractiveService
{
    private LogSapMesInteractiveDao dao;

    @Autowired
    public void setDao(LogSapMesInteractiveDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }

}
