package com.sw.mes.wms.dto;

import java.math.BigDecimal;

import com.fasterxml.jackson.annotation.JsonProperty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车间退料入库接口详情
 * 
 * @author liru
 *
 */
@Data
public class RematDetailsDto {
	@ApiModelProperty(value = "物料编码")
	@JsonProperty("sku")
	private String sku;
	@ApiModelProperty(value = "数量")
	@JsonProperty("qty")
	private BigDecimal qty;
	@ApiModelProperty(value = "托号")
	@JsonProperty("traceid")
	private String traceid;
	@ApiModelProperty(value = "箱号")
	@JsonProperty("serialNo")
	private String serialNo;
	@ApiModelProperty(value = "包号")
	@JsonProperty("subSerialNo")
	private String subSerialNo;
	@ApiModelProperty(value = "批次属性01")
	@JsonProperty("lotatt01")
	private String lotatt01;
	@ApiModelProperty(value = "批次属性02")
	@JsonProperty("lotatt02")
	private String lotatt02;
	@ApiModelProperty(value = "批次属性03")
	@JsonProperty("lotatt03")
	private String lotatt03;
	@ApiModelProperty(value = "批次属性04")
	@JsonProperty("lotatt04")
	private String lotatt04;
	@ApiModelProperty(value = "批次属性05")
	@JsonProperty("lotatt05")
	private String lotatt05;
	@ApiModelProperty(value = "批次属性06")
	@JsonProperty("lotatt06")
	private String lotatt06;
	@ApiModelProperty(value = "批次属性07")
	@JsonProperty("lotatt07")
	private String lotatt07;
	@ApiModelProperty(value = "质量状态")
	@JsonProperty("lotatt08")
	private String lotatt08;
	@ApiModelProperty(value = "批次属性09")
	@JsonProperty("lotatt09")
	private String lotatt09;
	@ApiModelProperty(value = "批次属性10")
	@JsonProperty("lotatt10")
	private String lotatt10;
	@ApiModelProperty(value = "批次属性11")
	@JsonProperty("lotatt11")
	private String lotatt11;
	@ApiModelProperty(value = "批次属性12")
	@JsonProperty("lotatt12")
	private String lotatt12;
	@ApiModelProperty(value = "批次属性13")
	@JsonProperty("lotatt13")
	private String lotatt13;
	@ApiModelProperty(value = "批次属性14")
	@JsonProperty("lotatt14")
	private String lotatt14;
	@ApiModelProperty(value = "额定天数")
	@JsonProperty("lotatt15")
	private String lotatt15;
	@ApiModelProperty(value = "使用天数")
	@JsonProperty("lotatt16")
	private String lotatt16;
	@ApiModelProperty(value = "批次属性17")
	@JsonProperty("lotatt17")
	private String lotatt17;
	@ApiModelProperty(value = "批次属性18")
	@JsonProperty("lotatt18")
	private String lotatt18;
	@ApiModelProperty(value = "批次属性19")
	@JsonProperty("lotatt19")
	private String lotatt19;
	@ApiModelProperty(value = "批次属性20")
	@JsonProperty("lotatt20")
	private String lotatt20;
	@ApiModelProperty(value = "批次属性21")
	@JsonProperty("lotatt21")
	private String lotatt21;
	@ApiModelProperty(value = "批次属性22")
	@JsonProperty("lotatt22")
	private String lotatt22;
	@ApiModelProperty(value = "批次属性23")
	@JsonProperty("lotatt23")
	private String lotatt23;
	@ApiModelProperty(value = "批次属性24")
	@JsonProperty("lotatt24")
	private String lotatt24;
	@ApiModelProperty(value = "EDI信息01")
	@JsonProperty("dedi01")
	private String dedi01;
	@ApiModelProperty(value = "EDI信息02")
	@JsonProperty("dedi02")
	private String dedi02;
	@ApiModelProperty(value = "EDI信息03")
	@JsonProperty("dedi03")
	private String dedi03;
	@ApiModelProperty(value = "EDI信息04")
	@JsonProperty("dedi04")
	private String dedi04;
	@ApiModelProperty(value = "EDI信息05")
	@JsonProperty("dedi05")
	private String dedi05;

}
