package com.sw.mes.wms.dto;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车间退料入库接口header
 * 
 * @author liru
 *
 */
@Data
public class RematHeaderDto {
	@ApiModelProperty(value = "工厂")
	@JsonProperty("customerId")
	private String customerId;
	@ApiModelProperty(value = "入库单号")
	@JsonProperty("docNo")
	private String docNo;
	@ApiModelProperty(value = "订单类型")
	@JsonProperty("orderType")
	private String orderType;
	@ApiModelProperty(value = "创建时间")
	@JsonProperty("creationTime")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date creationTime;
	@ApiModelProperty(value = "退料人")
	@JsonProperty("hedi01")
	private String hedi01;
	@ApiModelProperty(value = "工单号")
	@JsonProperty("hedi02")
	private String hedi02;
	@ApiModelProperty(value = "类型")
	@JsonProperty("hedi03")
	private String hedi03;
	@ApiModelProperty(value = "EDI信息04")
	@JsonProperty("hedi04")
	private String hedi04;
	@ApiModelProperty(value = "SAP线边库存地")
	@JsonProperty("hedi05")
	private String hedi05;
	@ApiModelProperty(value = "退料人")
	@JsonProperty("hedi06")
	private String hedi06;
	@ApiModelProperty(value = "唯一ID")
	@JsonProperty("hedi07")
	private String hedi07;
	@ApiModelProperty(value = "hedi08")
	@JsonProperty("hedi08")
	private String hedi08;
	@ApiModelProperty(value = "hedi09")
	@JsonProperty("hedi09")
	private String hedi09;
	@ApiModelProperty(value = "hedi10")
	@JsonProperty("hedi10")
	private String hedi10;

}
