package com.sw.mes.yb.pad.dao;

import com.sw.mes.core.base.BaseDao;
import com.sw.mes.yb.pad.entity.PieceDetail;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface PieceDetailDao extends BaseDao<PieceDetail, Long>{

    @Query(value = "select * from production_piece_detail where  piece_no IN(?1)",nativeQuery = true)
    List<PieceDetail> findByPieceNo(List<String> pieceNos);

    @Query(value = "select * from production_piece_detail where  piece_no = ?1",nativeQuery = true)
    List<PieceDetail> findByPieceNo(String pieceNo);

    @Modifying
    void deleteByPieceNoIn(List<String> pieNos);
}
