package com.sw.mes.yb.pad.dao;

import java.util.List;

import org.springframework.data.jpa.repository.Query;

import com.sw.mes.core.base.BaseDao;
import com.sw.mes.yb.pad.entity.ProductionPaintingLine;

/**
 * @Author
 * @Description：
 * @Date:
 * @Modified By:
 */
public interface ProductionPaintingLineDao extends BaseDao<ProductionPaintingLine, Long> {


    @Query(value = "SELECT * FROM `production_painting_line` WHERE crystal_no = ?1 ORDER BY id DESC LIMIT 1", nativeQuery = true)
    ProductionPaintingLine findByCrystalNo(String crystalNo);

    @Query(value = "SELECT * FROM `production_painting_line` WHERE vehicle_code = ?1", nativeQuery = true)
    List<ProductionPaintingLine> findByVehicleCodes(String vehicleCode);
}