package com.sw.mes.yb.production.dao;

import java.util.List;

import com.sw.mes.core.base.BaseDao;
import com.sw.mes.yb.production.entity.InputFurnaceBurden;
import org.springframework.data.jpa.repository.Query;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface InputFurnaceBurdenDao extends BaseDao<InputFurnaceBurden, Long>{

	List<InputFurnaceBurden> findByAgainTaskDetailId(Long ainTaskDetailId);

	@Query(value = "select * from production_input_furnace_burden where start_time >= ?1 and start_time < ?2 and series = ?3",nativeQuery = true)
	List<InputFurnaceBurden> findByStartTime(String startTime, String endTime, String series);

	@Query(value = "SELECT * FROM production_input_furnace_burden WHERE confirm = 0 AND lot_no = ?1 ",nativeQuery = true)
	List<InputFurnaceBurden> findUnconfirmedTask(String lotNo);

}
