package com.sw.mes.yb.production.dto;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "灌料明细Dto")
public class InputFurnaceDetailDto {

    private Long id;
     @ApiModelProperty(value = "罐料记录id" , required = true)
     private Long inputFurnaceId;
     @ApiModelProperty(value = "罐料任务id" , required = true)
     private Long againTaskDetailId;
     @ApiModelProperty(value = "物料编码" )
     private String materialCode;
     @ApiModelProperty(value = "料号")
  	 private String productCode;
     @ApiModelProperty(value = "物料名称" )
     private String materialName;

 	@ApiModelProperty(value = "批次号")
 	private String batchNo;
 	@ApiModelProperty(value = "重量 ")
 	private BigDecimal weight;
 	@ApiModelProperty(value = "厂牌 ")
 	private String factoryBrand;
 	@ApiModelProperty(value = "单位")
 	private String unit;
    @ApiModelProperty(value = "40kg箱数")
    private Integer bucketForty;
    @ApiModelProperty(value = "10kg箱数")
    private Integer bucketTen;
    @ApiModelProperty(value = "物料类型名称")
    private String materialTypeName;
    @ApiModelProperty(value = "供应商")
    private String supplierName;
    @ApiModelProperty(value = "库位id", required = true)
    private Integer storeLocationId;
    @ApiModelProperty(value = "库位名称", required = true)
    private String storeLocationName;
     
     @ApiModelProperty(value = "照片地址(多个;号隔开)" )
     String imgUrl;
     @ApiModelProperty(value = "详情数据")
 	 private String remark;
    @ApiModelProperty(value = "母合金牌号")
    private String alloyBrand;
    @ApiModelProperty(value = "母合金类型")
    private String alloyType;

    /**
     * 试投类型
     */
    @ApiModelProperty(value = "试投类型")
    private String trialType;

    /**
     * erp库位
     */
    @ApiModelProperty(value = "erp库位")
    private String erpWarehouseCode;

    /**
     * erp批次号
     */
    @ApiModelProperty(value = "erp批次号")
    private String erpBatchNo;
}