package com.sw.mes.yb.production.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


/**
 * @Author: xushu
 * @Date: 2022/08/17/16:20
 * @Description:
 */
@Data
@ApiModel(value = "回收料记录信息Dto")
public class RecycledMaterialManageDetailDto {

    private Long id;
    @ApiModelProperty(value = "manageId" )
    Long manageId;
    @ApiModelProperty(value = "等级" )
    String productLevel;
    @ApiModelProperty(value = "回收料编号" )
    String recycleNo;
    @ApiModelProperty(value = "产品类型" )
    String productionType;

    @ApiModelProperty(value = "炉次号")
    private String lotNo;

    @ApiModelProperty("设备号")
    private String deviceNo;

    @ApiModelProperty("重量")
    private BigDecimal weight;

    @ApiModelProperty("追溯标识")
    private String fromMark;
}
