package com.sw.mes.yb.production.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.production.dto.LoadingTask.LoadingTaskLogDto;
import com.sw.mes.yb.production.entity.LoadingTask;
import com.sw.mes.yb.production.entity.LoadingTaskLog;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface LoadingTaskLogService extends BaseService<LoadingTaskLog> {
    /**
     * 添加配料任务记录表和配料明细表数据
     * @param loadingTask
     * @return
     */
    public LoadingTaskLog saveByLoadingTask(LoadingTask loadingTask);

    public void exportExcel(HttpServletRequest request, HttpServletResponse resp);

    LoadingTaskLog getByLoadingTaskId(Long id);
}
