package com.sw.mes.yb.seed.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.seed.dto.SeedBatchesDto;
import com.sw.mes.yb.seed.dto.SeedDataDto;
import com.sw.mes.yb.seed.entity.SeedData;

/**
 * 晶科籽晶服务
 *
 * @Author：wanjia
 * @Date：2024/1/9 16:41
 */
public interface SeedService extends BaseService<SeedData> {

    /**
     * 通过籽晶编码/籽晶批次号获取籽晶对象
     */
    SeedData findByCode(String code);
    /**
     * 通过籽晶批次号获取获取籽晶对象
     */
    SeedData findByBatchNo(String seedBatchNo);
    SeedData findByBatch(String batchNo);

}
