package com.sw.mes.yb.seed.service.impl;

import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.yb.seed.dao.SeedGroupBracketDao;
import com.sw.mes.yb.seed.entity.SeedGroupBracket;
import com.sw.mes.yb.seed.service.SeedGroupBracketService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SeedGroupBracketServiceImpl extends BaseServiceImpl<SeedGroupBracket> implements SeedGroupBracketService {
    private SeedGroupBracketDao dao;
    @Autowired
    public void setDao(SeedGroupBracketDao dao) {
        this.dao = dao;
        super.setBaseDao(dao);
    }

    @Override
    public SeedGroupBracket findCode(String code) {
        return dao.findCode(code);
    }

    @Override
    public SeedGroupBracket findBillCode(String billCode) {
        return dao.findBillCode(billCode);
    }

    @Override
    public List<SeedGroupBracket> findByIds (List<Long> ids) {
        return null;
    }
}
