package com.sw.mes.yb.seed.service.impl;

import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.yb.seed.dao.SeedSelfInspectionDao;
import com.sw.mes.yb.seed.entity.SeedSelfInspection;
import com.sw.mes.yb.seed.service.SeedSelfInspectionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
@Service
public class SeedSelfInspectionServiceImpl extends BaseServiceImpl<SeedSelfInspection> implements SeedSelfInspectionService {
    private SeedSelfInspectionDao dao;

    @Autowired
    public void setDao(SeedSelfInspectionDao dao) {
        this.dao = dao;
        super.setBaseDao(dao);
    }

    @Override
    public SeedSelfInspection getBySeedCode(String seedCode) {
        return dao.getBySeedCode(seedCode);
    }

    @Override
    public SeedSelfInspection getBySeedBatchNo(String seedBatchNo) {
        return dao.getBySeedBatchNo(seedBatchNo);
    }

    @Override
    public List<SeedSelfInspection> getByPlanCode(String planCode) {
        return dao.getByPlanCode(planCode);
    }

    @Override
    public List<SeedSelfInspection> getByBatchNo(String batchNo) {
        return dao.getByBatchNo(batchNo);
    }

    @Override
    public List<SeedSelfInspection> getQualified(Boolean isQualified) {
        return dao.getQualified(isQualified);
    }
}
