package com.sw.mes.store.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.sw.mes.store.entity.WarehouseInputBillDetail;

import java.util.List;

/**
 * @Author wupeng
 * @Description 入库单详情
 * @Date 18:58 2023/7/27
 * @Param
 * @return
 **/
public interface WarehouseInputBillDetailService extends IService<WarehouseInputBillDetail> {
    List<WarehouseInputBillDetail> getByBillNo(String billNo);

    List<WarehouseInputBillDetail> getByBillId(Long billId);

    WarehouseInputBillDetail getByUniqueCode(String uniqueCode);

    List<WarehouseInputBillDetail> getByBatchNo(String batchNo);
}
